phing-tasks-ext

# Class: PhpCpdTask Source Location: /tasks/ext/PhpCpdTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --PhpCpdTask
A PHP CPD task. Checking PHP files for Copy&Paste code. #### Author(s): Timo Haberkern <timo.haberkern@fantastic-bits.de> #### Version: $Id: PhpCpdTask.php 581 2009-09-26 00:30:26Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Variables $file $filesets $format $formatters $minLines $minTokens | ### Methods createConfig createFileSet createFormatter main output setFile setFormat setHaltonerror setMinLines setMinTokens setShowWarnings
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 31] A PHP CPD task. Checking PHP files for Copy&Paste code. #### Tags:
author: | Timo Haberkern <timo.haberkern@fantastic-bits.de>
version: | $Id: PhpCpdTask.php 581 2009-09-26 00:30:26Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Variables #### $file = [line 33] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $filesets = array() [line 34] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $format = 'default' [line 41] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $formatters = array() [line 42] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $minLines = 5 [line 37] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $minTokens = 70 [line 38] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### method createConfig [line 97]
`Parameter createConfig( )`
Creates a config parameter for this task #### Tags:
return: | The created parameter
access: | public
[ Top ] ### method createFileSet [line 60]
`FileSet createFileSet( )`
Nested creator, creates a FileSet for this task #### Tags:
return: | The created fileset object
[ Top ] ### method createFormatter [line 115]
`CodeSniffer_FormatterElement createFormatter( )`
Create object for nested formatter element. #### Tags:
access: | public
[ Top ] ### method main [line 133]
`void main( )`
Executes PHP code sniffer against PhingFile or a FileSet #### Tags:
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method output [line 191]
`void output( PHPCPD_CloneMap $clones)`
Outputs the results #### Tags:
access: | protected
#### Parameters:
PHPCPD_CloneMap | $clones |
[ Top ] ### method setFile [line 51]
`void setFile( $file)`
File to be performed syntax check on #### Tags:
access: | public
#### Parameters:
PhingFile | $file |
[ Top ] ### method setFormat [line 106]
`void setFormat( string $format)`
Sets the output format #### Tags:
access: | public
#### Parameters:
string | $format |
[ Top ] ### method setHaltonerror [line 125]
`void setHaltonerror( boolean $value)`
Sets the haltonerror flag #### Parameters:
boolean | $value |
[ Top ] ### method setMinLines [line 78]
`void setMinLines( integer $lines)`
Sets the minimum number of identical lines (default: 5). #### Tags:
access: | public
#### Parameters:
integer | $lines |
[ Top ] ### method setMinTokens [line 87]
`void setMinTokens( integer $tokens)`
Sets the minimum number of identical tokens (default: 70). #### Tags:
access: | public
#### Parameters:
integer | $tokens |
[ Top ] ### method setShowWarnings [line 69]
`void setShowWarnings( boolean $show)`
Sets the flag if warnings should be shown #### Tags:
access: | public
#### Parameters:
boolean | $show |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:38 +0200 by phpDocumentor 1.4.3